> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dualship.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Create checkout session

> Create a Stripe checkout session for subscription upgrade



## OpenAPI

````yaml openapi.json post /api/v1/billing/checkout
openapi: 3.0.0
info:
  description: Dualship backend API for workflow automation and API management.
  title: Dualship API
  termsOfService: https://dualship.run/terms
  contact:
    name: Dualship Support
    url: https://dualship.run/support
    email: support@dualship.run
  version: '1.0'
servers:
  - url: https://api.dualship.run
security: []
paths:
  /api/v1/billing/checkout:
    post:
      tags:
        - billing
      summary: Create checkout session
      description: Create a Stripe checkout session for subscription upgrade
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/github_com_dualship_dualship-be_internal_api_rules.CreateCheckoutRequest
        description: Checkout request
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_dualship_dualship-be_internal_billing.CheckoutResult
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.BadRequestError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.UnauthorizedError'
        '403':
          description: Insufficient permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.ForbiddenError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.InternalServerError'
      security:
        - BearerAuth: []
components:
  schemas:
    github_com_dualship_dualship-be_internal_api_rules.CreateCheckoutRequest:
      type: object
      required:
        - interval
        - plan_slug
        - workspace_id
      properties:
        interval:
          type: string
          enum:
            - monthly
            - yearly
        plan_slug:
          type: string
          enum:
            - hobby
            - pro
        workspace_id:
          type: string
    github_com_dualship_dualship-be_internal_billing.CheckoutResult:
      type: object
      properties:
        session_id:
          type: string
        url:
          type: string
    internal_api_handler.BadRequestError:
      description: Bad request error
      type: object
      properties:
        code:
          type: string
          example: BAD_REQUEST
        error:
          type: string
          example: invalid request parameters
    internal_api_handler.UnauthorizedError:
      description: Unauthorized error
      type: object
      properties:
        code:
          type: string
          example: UNAUTHORIZED
        error:
          type: string
          example: unauthorized
    internal_api_handler.ForbiddenError:
      description: Forbidden error
      type: object
      properties:
        code:
          type: string
          example: FORBIDDEN
        error:
          type: string
          example: insufficient permissions
    internal_api_handler.InternalServerError:
      description: Internal server error
      type: object
      properties:
        code:
          type: string
          example: INTERNAL_ERROR
        error:
          type: string
          example: internal server error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Bearer token authentication

````